'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ButtonComponent = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  background-color: ', ';\n  border-color: ', ';\n  color: ', ';\n  &:hover {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n  &:active {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n  &:disabled {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n'], ['\n  background-color: ', ';\n  border-color: ', ';\n  color: ', ';\n  &:hover {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n  &:active {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n  &:disabled {\n    background-color: ', ';\n    border-color: ', ';\n    color: ', ';\n  }\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  outline: 0;\n  cursor: pointer;\n  border-radius: ', 'px;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  font-weight: ', ';\n  min-width: ', ';\n  padding-top: ', ';\n  padding-bottom: ', ';\n  padding-left: ', ';\n  padding-right: ', ';\n  margin-top: ', ';\n  margin-bottom: ', ';\n  border-width: ', ';\n  border-style: ', ';\n  ', '};\n  ', ';\n'], ['\n  outline: 0;\n  cursor: pointer;\n  border-radius: ', 'px;\n  font-size: ', 'px;\n  line-height: ', 'px;\n  font-weight: ', ';\n  min-width: ', ';\n  padding-top: ', ';\n  padding-bottom: ', ';\n  padding-left: ', ';\n  padding-right: ', ';\n  margin-top: ', ';\n  margin-bottom: ', ';\n  border-width: ', ';\n  border-style: ', ';\n  ', '};\n  ', ';\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _utils = require('../utils');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var primaryStyle = (0, _styledComponents.css)(_templateObject, function (p) {
  return p.theme.button.primary.backgroundColor;
}, function (p) {
  return p.theme.button.primary.borderColor;
}, function (p) {
  return p.theme.button.primary.color;
}, function (p) {
  return p.theme.button.primary.hover.backgroundColor;
}, function (p) {
  return p.theme.button.primary.hover.borderColor;
}, function (p) {
  return p.theme.button.primary.hover.color;
}, function (p) {
  return p.theme.button.primary.active.backgroundColor;
}, function (p) {
  return p.theme.button.primary.active.borderColor;
}, function (p) {
  return p.theme.button.primary.active.color;
}, function (p) {
  return p.theme.button.primary.disabled.backgroundColor;
}, function (p) {
  return p.theme.button.primary.disabled.borderColor;
}, function (p) {
  return p.theme.button.primary.disabled.color;
});

var standardStyle = (0, _styledComponents.css)(_templateObject, function (p) {
  return p.theme.button.standard.backgroundColor;
}, function (p) {
  return p.theme.button.standard.borderColor;
}, function (p) {
  return p.theme.button.standard.color;
}, function (p) {
  return p.theme.button.standard.hover.backgroundColor;
}, function (p) {
  return p.theme.button.standard.hover.borderColor;
}, function (p) {
  return p.theme.button.standard.hover.color;
}, function (p) {
  return p.theme.button.standard.active.backgroundColor;
}, function (p) {
  return p.theme.button.standard.active.borderColor;
}, function (p) {
  return p.theme.button.standard.active.color;
}, function (p) {
  return p.theme.button.standard.disabled.backgroundColor;
}, function (p) {
  return p.theme.button.standard.disabled.borderColor;
}, function (p) {
  return p.theme.button.standard.disabled.color;
});
var themes = {
  standard: standardStyle,
  primary: primaryStyle
};

var ButtonComponent = exports.ButtonComponent = reset.button.attrs({
  noWrap: function noWrap(p) {
    return p.noWrap;
  },
  variant: function variant(p) {
    return p.variant || 'standard';
  }
})(_templateObject2, function (p) {
  return p.theme.button.base.borderRadius;
}, function (p) {
  return p.theme.button.base.fontSize;
}, function (p) {
  return p.theme.button.base.lineHeight;
}, function (p) {
  return p.theme.button.base.fontWeight;
}, function (p) {
  return p.theme.button.base.minWidth;
}, function (p) {
  return p.theme.button.base.paddingTop;
}, function (p) {
  return p.theme.button.base.paddingBottom;
}, function (p) {
  return p.theme.button.base.paddingLeft;
}, function (p) {
  return p.theme.button.base.paddingRight;
}, function (p) {
  return p.theme.button.base.marginTop;
}, function (p) {
  return p.theme.button.base.marginBottom;
}, function (p) {
  return p.theme.button.base.borderWidth;
}, function (p) {
  return p.theme.button.base.borderStyle;
}, function (p) {
  return themes[p.variant] || themes.standard;
}, function (p) {
  return !p.noWrap && _utils.noWrap;
});

var Button = function Button(props) {
  return _react2.default.createElement(ButtonComponent, props);
};
// export const Anchor = Button.withComponent('a');

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Set the component to not wrap.
   */
  noWrap: _propTypes2.default.bool,
  /**
   * The theme variant of the button
   */
  variant: _propTypes2.default.oneOf(['standard', 'primary'])
} : {};

Button.defaultProps = {
  noWrap: true,
  variant: 'standard'
};

exports.default = Button;