'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CheckboxComponent = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  width: 24px;\n  height: 24px;\n  margin-right: 12px;\n  border-width: 1px;\n  border-style: solid;\n  border-radius: 4px;\n  border-color: ', ';\n  background-color: ', ';\n'], ['\n  width: 24px;\n  height: 24px;\n  margin-right: 12px;\n  border-width: 1px;\n  border-style: solid;\n  border-radius: 4px;\n  border-color: ', ';\n  background-color: ', ';\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  display: flex;\n  user-select: none;\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  color: ', ';\n  margin: 18px 0;\n  cursor: default;\n  &:hover {\n    ', ' {\n      border-color: ', ';\n      background-color: ', ';\n    }\n  }\n  &:active {\n    ', ' {\n      border-color: ', '\n      background-color: ', '\n    }\n  }\n'], ['\n  display: flex;\n  user-select: none;\n  font-family: ', ';\n  font-size: ', 'px;\n  line-height: ', 'px;\n  color: ', ';\n  margin: 18px 0;\n  cursor: default;\n  &:hover {\n    ', ' {\n      border-color: ', ';\n      background-color: ', ';\n    }\n  }\n  &:active {\n    ', ' {\n      border-color: ', '\n      background-color: ', '\n    }\n  }\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _Tick = require('../Svg/Tick');

var _Tick2 = _interopRequireDefault(_Tick);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Checkbox = function Checkbox(props) {
  return _react2.default.createElement(
    CheckboxComponent,
    (0, _extends3.default)({}, props, {
      onClick: function onClick() {
        if (!props.disabled) {
          props.onClick();
        }
      }
    }),
    _react2.default.createElement(
      BoxContainer,
      (0, _extends3.default)({}, props, { onClick: function onClick() {} }),
      props.checked && _react2.default.createElement(_Tick2.default, {
        style: { padding: '5px' },
        color: (props.error || props.disabled) && 'black',
        size: '30px'
      })
    ),
    props.label
  );
};

var BoxContainer = reset.div(_templateObject, function (p) {
  if (p.disabled) {
    return p.theme.checkbox.unchecked.disabled.border.color;
  }
  if (p.error) {
    return p.theme.checkbox.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.default.border.color;
  }
  return p.theme.checkbox.unchecked.default.border.color;
}, function (p) {
  if (p.disabled) {
    return p.theme.checkbox.unchecked.disabled.background.color;
  }
  if (p.error) {
    return p.theme.checkbox.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.default.background.color;
  }
  return p.theme.checkbox.unchecked.default.background.color;
});

var CheckboxComponent = exports.CheckboxComponent = reset.div(_templateObject2, function (p) {
  return p.theme.text.body.fontFamily;
}, function (p) {
  return p.theme.text.body.fontSize;
}, function (p) {
  return p.theme.text.body.lineHeight;
}, function (p) {
  return p.theme.checkbox.unchecked.default.text.color;
}, BoxContainer, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.checkbox.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.hover.border.color;
  }
  return p.theme.checkbox.unchecked.hover.border.color;
}, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.checkbox.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.hover.background.color;
  }
  return p.theme.checkbox.unchecked.hover.background.color;
}, BoxContainer, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.checkbox.unchecked.error.border.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.focus.border.color;
  }
  return p.theme.checkbox.unchecked.focus.border.color;
}, function (p) {
  if (p.disabled) return '';
  if (p.error) {
    return p.theme.checkbox.unchecked.error.background.color;
  }
  if (p.checked) {
    return p.theme.checkbox.checked.focus.background.color;
  }
  return p.theme.checkbox.unchecked.focus.background.color;
});

Checkbox.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Checks the box
   */
  checked: _propTypes2.default.bool.isRequired,
  /**
   * Disable checkbox
   */
  disabled: _propTypes2.default.bool,
  /**
   * Error state
   */
  error: _propTypes2.default.bool,
  /**
   * Sets the label for the checkbox
   */
  label: _propTypes2.default.string.isRequired,
  /**
   * onClick handler
   */
  onClick: _propTypes2.default.func
} : {};

Checkbox.defaultProps = {
  label: '',
  checked: false
};

exports.default = Checkbox;