'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.LinkComponent = undefined;

var _taggedTemplateLiteral2 = require('babel-runtime/helpers/taggedTemplateLiteral');

var _taggedTemplateLiteral3 = _interopRequireDefault(_taggedTemplateLiteral2);

var _templateObject = (0, _taggedTemplateLiteral3.default)(['\n  font-size: ', 'px;\n  padding-top: ', 'px;\n  padding-bottom: 18px;\n'], ['\n  font-size: ', 'px;\n  padding-top: ', 'px;\n  padding-bottom: 18px;\n']),
    _templateObject2 = (0, _taggedTemplateLiteral3.default)(['\n  font-size: ', 'px;\n  padding-top: 7px;\n  padding-bottom: 11px;\n'], ['\n  font-size: ', 'px;\n  padding-top: 7px;\n  padding-bottom: 11px;\n']),
    _templateObject3 = (0, _taggedTemplateLiteral3.default)(['\n  font-family: ', ';\n  line-height: ', 'px;\n  display: ', ';\n  color: ', ';\n  ', ';\n  ', ';\n  ', '\n'], ['\n  font-family: ', ';\n  line-height: ', 'px;\n  display: ', ';\n  color: ', ';\n  ', ';\n  ', ';\n  ', '\n']);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _styledComponents = require('styled-components');

var _reset = require('../reset');

var reset = _interopRequireWildcard(_reset);

var _utils = require('../utils');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var regularStyle = (0, _styledComponents.css)(_templateObject, function (p) {
  return p.theme.text.body.fontSize;
}, function (p) {
  return p.theme.text.body.paddingTop;
});

var smallStyle = (0, _styledComponents.css)(_templateObject2, function (p) {
  return p.theme.text.caption.fontSize;
});

var LinkComponent = exports.LinkComponent = reset.a(_templateObject3, function (p) {
  return p.theme.text.body.fontFamily;
}, function (p) {
  return p.theme.text.body.lineHeight;
}, function (p) {
  return p.wholeLine && 'block';
}, function (p) {
  return p.theme.text.link.color;
}, function (props) {
  return props.align && 'text-align: ' + props.align + ';';
}, function (props) {
  return props.noWrap && _utils.noWrap;
}, function (props) {
  return props.variation === 'small' ? smallStyle : regularStyle;
});

var Link = function Link(props) {
  return _react2.default.createElement(LinkComponent, props);
};

Link.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * Set the text-align on the component.
   */
  align: _propTypes2.default.oneOf(['inherit', 'left', 'center', 'right', 'justify']),
  /**
   * If `true`, the text will not wrap, but instead will truncate with an ellipsis.
   */
  noWrap: _propTypes2.default.bool,
  /**
   * Regular or small link.
   */
  variation: _propTypes2.default.oneOf(['regular', 'small']),
  /**
   * Whole line
   */
  wholeLine: _propTypes2.default.bool
} : {};

Link.defaultProps = {
  variation: 'regular',
  noWrap: false,
  align: 'inherit',
  wholeLine: false
};

exports.default = Link;