'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SvgWrapper = function SvgWrapper(_ref) {
  var size = _ref.size,
      title = _ref.title,
      desc = _ref.desc,
      children = _ref.children;
  return _react2.default.createElement(
    'svg',
    { width: size, height: size, viewBox: '0 0 32 32' },
    _react2.default.createElement(
      'title',
      null,
      title
    ),
    _react2.default.createElement(
      'desc',
      null,
      desc
    ),
    children
  );
};

SvgWrapper.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * SVG content
   */
  children: _propTypes2.default.node.isRequired,
  /**
   * SVG description
   */
  desc: _propTypes2.default.string,
  /**
   * Checks the box
   */
  size: _propTypes2.default.bool.isRequired,
  /**
   * SVG title
   */
  title: _propTypes2.default.string
} : {};

SvgWrapper.defaultProps = {
  size: '1em'
};

exports.default = SvgWrapper;