<p align="center">
  <a href="https://www.doctorlink.com/" rel="noopener" target="_blank"><img width="200" src="/static/logo.png" alt="Doctorlink Design System"></a></p>
</p>

<h1 align="center">Doctorlink Design System</h1>

<div align="center">

[React](http://facebook.github.io/react/) components that implement DoctorLink's Design System

</div>

## Installation

DoctorLink Design System is available as an [npm package](https://www.npmjs.com/package/doctorlink-design-system).

```sh
npm install doctorlink-design-system
```

## Usage

Here is a quick example to get you started, **it's all you need**:

```jsx
import React from 'react';
import { render } from 'react-dom';
import { Button } from 'doctorlink-design-system';

function App() {
  return (
    <Button variant="raised" color="primary">
      Hello World
    </Button>
  );
}

render(<App />, document.querySelector('#app'));
```

Yes, it's really all you need to get started as you can see in this live and interactive demo:

[![Edit Button](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/4j7m47vlm4)

**Bite the bullet and go for v1-beta.**

## Thanks

[<img src="https://www.browserstack.com/images/mail/browserstack-logo-footer.png" width="120">](https://www.browserstack.com/)

Thank you to [BrowserStack](https://www.browserstack.com/) for providing the infrastructure that allows us to test in real browsers.

## License

This project is licensed under the terms of the
[MIT license](/LICENSE).

# DoctorLink
### package.json commands
Command|Description
-|-
```docs:dev```      | runs docs in dev mode
```docs:api```      | builds api core and api lab
```docs:api:core```      | builds all components in ./src
```docs:api:lab```      | builds all components in ./packages/material-ui-lab/src
```docs:icons```      | builds logo: `./static/logo.png`
```docs:build```      | production build of docs
```docs:start```      | runs ```next start```
## To do

- [ ] Update `./static/logo.png` and build icons
- [ ] Update icons in components

