import React from 'react';
import { css } from 'styled-components';
import * as reset from '../reset';

export const DefaultContainer = reset.div`
  display: flex;
  flex-direction: row;
  align-items: stretch;
`;

const colors = ['red', 'blue', 'green', 'orange', 'purple'];
export const NavItem = reset.button`
  font-family: ${p => p.theme.typography.fontFamily};
  background: none;
  border: none;
  outline: none;
  border-bottom: 1px solid ${p => p.index === undefined ? 'red' : colors[p.index]};
  padding-left: 0;
  padding-right: 0;
  padding-bottom: 6px;
  margin-top: 24px;
  margin-bottom: 2px;
  font-size: 16px;
  cursor: pointer;
  ${p => p.index === 0 && css`
      margin-top: 0;
    `}
  &:hover {
    border-bottom-color: 
  }
`;

export const NavChildItem = reset.a`
  font-family: ${p => p.theme.typography.fontFamily};
  color: black;
  text-decoration: none;
  background: none;
  border: none;
  outline: none;
  padding-left: 0;
  padding-right: 0;
  padding-bottom: 0;
  margin-left: 14px;
  margin-top: 1px;
  margin-bottom: 1px;
  font-size: 12px;
  font-weight: bold;
  cursor: pointer;
  &:hover {
    border-bottom-color: 
  }
`;

var _ref = React.createElement('div', null);

export default (() => _ref);