import React from 'react';
import PropTypes from 'prop-types';

const SvgWrapper = ({ size, title, desc, children }) => React.createElement(
  'svg',
  { width: size, height: size, viewBox: '0 0 32 32' },
  React.createElement(
    'title',
    null,
    title
  ),
  React.createElement(
    'desc',
    null,
    desc
  ),
  children
);

SvgWrapper.propTypes = process.env.NODE_ENV !== "production" ? {
  /**
   * SVG content
   */
  children: PropTypes.node.isRequired,
  /**
   * SVG description
   */
  desc: PropTypes.string,
  /**
   * Checks the box
   */
  size: PropTypes.bool.isRequired,
  /**
   * SVG title
   */
  title: PropTypes.string
} : {};

SvgWrapper.defaultProps = {
  size: '1em'
};

export default SvgWrapper;